#!/bin/ksh

# If no argument, use input_sedov_noio_10000x10000_4it.nml as input file
if [ $# != 1 ]
then
INPUT=Others/input_sedov_noio_10000x10000_4it.nml
else
INPUT=$1
fi
DIM=${INPUT%.nml};DIM=${DIM##*[a-z,A-Z]_}

# Execution hydro with $INPUT as input file
cd ../Output
rm output_*
MYDATE=$(date +"%Y_%m_%d:%H_%M_%S")
export OMP_SCHEDULE="STATIC"
export OMP_NUM_THREADS=1
../Src/hydro ../Input/$INPUT | tee ../Bin/hydro_ompfg_${OMP_NUM_THREADS}_${DIM}_$MYDATE.res
export OMP_NUM_THREADS=2
../Src/hydro ../Input/$INPUT | tee ../Bin/hydro_ompfg_${OMP_NUM_THREADS}_${DIM}_$MYDATE.res
export OMP_NUM_THREADS=4
../Src/hydro ../Input/$INPUT | tee ../Bin/hydro_ompfg_${OMP_NUM_THREADS}_${DIM}_$MYDATE.res
export OMP_NUM_THREADS=8
../Src/hydro ../Input/$INPUT | tee ../Bin/hydro_ompfg_${OMP_NUM_THREADS}_${DIM}_$MYDATE.res
export OMP_NUM_THREADS=16
../Src/hydro ../Input/$INPUT | tee ../Bin/hydro_ompfg_${OMP_NUM_THREADS}_${DIM}_$MYDATE.res
export OMP_NUM_THREADS=24
../Src/hydro ../Input/$INPUT | tee ../Bin/hydro_ompfg_${OMP_NUM_THREADS}_${DIM}_$MYDATE.res
 export OMP_NUM_THREADS=32
../Src/hydro ../Input/$INPUT | tee ../Bin/hydro_ompfg_${OMP_NUM_THREADS}_${DIM}_$MYDATE.res

