#ifndef CONSERVAR_H_INCLUDED
#define CONSERVAR_H_INCLUDED


void gatherConservativeVars(const long idim, const long rowcol,
                            shared[BLOCKSIZE] double * uold,
                            double * u,
                            const long Himin,
                            const long Himax,
                            const long Hjmin,
                            const long Hjmax,
                            const long Hnvar,
                            const long Hnxt, const long Hnyt, const long Hnxyt);

void updateConservativeVars(const long idim, const long rowcol,
                            const double dtdx,
                            shared[BLOCKSIZE] double * uold,
                            double * u,
                            double * flux,
                            const long Himin,
                            const long Himax,
                            const long Hjmin,
                            const long Hjmax,
                            const long Hnvar,
                            const long Hnxt, const long Hnyt, const long Hnxyt);

#endif // CONSERVAR_H_INCLUDED
