#ifndef RIEMANN_H_INCLUDED
#define RIEMANN_H_INCLUDED


void riemann(double * qleft, double * qright,
             double * qgdnv, double * rl,
             double * ul, double * pl,
             double * cl, double * wl,
             double * rr, double * ur,
             double * pr, double * cr,
             double * wr, double * ro,
             double * uo, double * po,
             double * co, double * wo,
             double * rstar, double * ustar,
             double * pstar, double * cstar,
             long * sgnm, double * spin,
             double * spout, double * ushock,
             double * frac, double * scr,
             double * delp, double * pold,
             long * ind, long * ind2,
             const long narray,
             const double Hsmallr,
             const double Hsmallc,
             const double Hgamma, const long Hniter_riemann, const long Hnvar,
             const long Hnxyt);

#endif // RIEMANN_H_INCLUDED
