#! /bin/bash

# Environment setup
. ./CC.env

# Command echo on
set -x 

# Copy make.inc - for the makefile (compiler, MPI, OpenCL, ...)
rm make.inc
ln -s  make.CC-IN2P3 make.inc

#
#   Build
#
# Intel compiler and MPI
make clean
make

cp input_sedov_noio_5000x5000.nml hInput.nml

#
#   Run on 16 cores with 16 MPI process 
# 
mpiexec -np 16 ./hydro hInput.nml

 