#!/bin/ksh

# If no argument, use input_sedov_noio_200x1200.nml as input file
if [ $# != 1 ]
then
INPUT=input_sedov_noio_200x1200.nml
else
INPUT=$1
fi

# Execution hydro with $INPUT as input file
cd ../Output
rm output_*
MYDATE=$(date +"%d_%m_%Y:%H_%M_%S")
export F_PROGINF=detail
export OMP_NUM_THREADS=4
export OMP_SCHEDULE="STATIC"
../Src/hydro ../../Input/$INPUT | tee ../Bin/hydro_omp_${OMP_NUM_THREADS}_$MYDATE.res


